> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/runbooks/xrunbooks/create-a-xrunbook.md).

# Create a xRunBook

To create a xRunBook, please follow these instructions:

{% tabs %}
{% tab title="Open Source" %}

### Copy an existing template xRunBook:

All custom RunBooks are saved in `$HOME/Awesome-CloudOps-Automation/custom/runbooks.`

1. Copy an existing RunBook into this directory.&#x20;
2. Restart your Docker instance.
3. Navigate to `http://127.0.0.1:8888:8888/lab/tree/<yourFileName>.ipynb`

### Save an existing Jupyter Notebook

If you have an existing Jupyter Notebook:

1. Save your Notebook into `$HOME/Awesome-CloudOps-Automation/custom/runbooks.`
2. Restart your Docker instance.
3. Navigate to `http://127.0.0.1:8888:8888/lab/tree/<yourFileName>.ipynb`
   {% endtab %}

{% tab title="Cloud" %}

1. Click xRunBooks from the top navigation.
2. Click the `+ Create` button to create your xRunBook.
3. Add the name, description and the proxy, and click `CREATE XRUNBOOK.`

{% embed url="<https://youtu.be/xI8K1GJwkWk>" %}
{% endtab %}
{% endtabs %}

Now that you have created the RunBook, we can begin filling in the pieces.

* [Input Parameters](/unskript-documentation/runbooks/xrunbooks/create-a-parameter.md): These are the values that seed the RunBook.  AWS RunBooks may need a Region to operate correctly.  Your K8s RunBook may need a Pod.  Or specify how may days of logs to pull.  These can all be defined programmatically with input parameters.
* [Add An Action](/unskript-documentation/runbooks/xrunbooks/add-an-action.md): Actions are the stepwise programatic steps of a RunBook.  There are hundreds of [prebuilt actions](/unskript-documentation/actions/action-list.md) ready to be dropped into your RunBook.  Or [create your own Action](/unskript-documentation/actions/create-custom-actions.md)!
* [Schedule](/unskript-documentation/runbooks/xrunbooks/schedules.md): Schedule your RunBook for regular processing.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/runbooks/xrunbooks/create-a-xrunbook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
